Bug 1076243 - [BUG] RHEV SPICE console not opening in full screen or detecting resolution by default
Summary: [BUG] RHEV SPICE console not opening in full screen or detecting resolution b...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer
Version: 3.3.0
Hardware: x86_64
OS: Linux
urgent
low
Target Milestone: ---
: 3.5.0
Assignee: Jonathon Jongsma
QA Contact: Desktop QE
URL:
Whiteboard: spice
Keywords: ZStream
Depends On: 1083203
Blocks: 1078547 1094324 1094340 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-03-13 21:37 UTC by Robert McSwain
Modified: 2019-05-20 11:12 UTC (History)
13 users (show)

(edit)
Prior to this update, when a SPICE console was launched from the Red Hat Enterprise Virtualization User Portal with the 'Native Client' invocation method and 'Open in Full Screen' selected, the display of the guest virtual machine were not always configured to match the client displays. After this update, the SPICE console will show a full-screen guest display for each client monitor.
Clone Of:
: 1078547 1094324 1094340 (view as bug list)
(edit)
Last Closed: 2015-02-11 17:43:28 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0197 normal SHIPPED_LIVE Moderate: rhevm-spice-client security and bug fix update 2015-02-11 22:35:16 UTC
Red Hat Knowledge Base (Solution) 776553 None None None Never
Red Hat Bugzilla 787578 None None None Never

Description Robert McSwain 2014-03-13 21:37:19 UTC
Description of problem:
1. From the UserPortal, with the "Full screen" checkbox enabled, a 2nd display did not enable automatically as it should by default. Selecting "2" from the Displays menu on Remote Viewer was required.

2. After manually enabling the 2nd display, that display did not auto-sense the proper screen resolution.

Version-Release number of selected component (if applicable):
RHEV 3.3.1
RHEL 6.5 guest
SPICE Console

How reproducible: 100%


Steps to Reproduce:
1. Log into UserPortal
2. Check the Full Screen checkbox 
3. Open a VM
4. The second display does not appear automatically

Actual results:
The second display must be manually enabled and the screen resolution is not as it should be set.

Expected results:
The second display appears in full screen 

Additional info:

Comment 1 Marc-Andre Lureau 2014-03-13 22:51:02 UTC
please reconsider severity/priority...

Comment 2 Marian Krcmarik 2014-03-14 11:44:02 UTC
Robert,

what is the launch method Browser plugin/Native and what client OS is used?
There were some bugs I can point you to If I know that.

The important thing for RHEL6.5 guest is to have Spice agent/RHEV agent/QXL driver installed and operational on the guest which means that RHEV agent reports to the RHEVM that QXL driver is installed ont the guest and This can be seen in RHEVM webadmind in Aplllication tab of VM details.

Comment 3 Jonathon Jongsma 2014-03-19 20:18:07 UTC
per discussion with byount, it sounds like this is launched in native client mode. The vv file format does not currently have a parameter for specifying auto-conf, so it just uses basic fullscreen mode.  We'd need to add an auto-conf param to the vv file format, and the user portal would have to include that param in its vv-file.

Comment 8 David Blechter 2014-04-01 16:39:15 UTC
we will address this issue in rhel 6.6 first( see bz 1083203 ).

Comment 15 David Blechter 2014-05-05 13:24:07 UTC
moving to 3.5, and propose for 3.4.z. The 3.4.z will be built following the 3.4 release. This was discussed and agreed with Peter Manzella

Comment 20 errata-xmlrpc 2015-02-11 17:43:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0197.html


Note You need to log in before you can comment on or make changes to this bug.